import React from 'react';
import purebem from 'purebem';
import FoundationTableCell from './FoundationTableCell';
import './FoundationTableCellIcon.scss';
export default function FoundationTableCellIcon(_ref) {
  var color = _ref.color,
      columnName = _ref.columnName,
      type = _ref.type;
  var block = purebem('foundation-table-cell-icon');
  return React.createElement(FoundationTableCell, {
    columnName: columnName
  }, React.createElement("div", {
    className: block()
  }, React.createElement("span", {
    className: block('icon', {
      color: color,
      type: type
    })
  })));
}
//# sourceMappingURL=FoundationTableCellIcon.js.map